<?php

namespace AppBundle\Repository;

use AppBundle\Entity\Film;

/**
 * FilmRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class FilmRepository extends \Doctrine\ORM\EntityRepository
{
    public function count()
    {
       $dql = 'SELECT count(f) FROM AppBundle:Film f';

       return $this->getEntityManager()
                    ->createQuery($dql)
                    ->getSingleScalarResult();
    }

    public function save(Film $film) {
        $em = $this->getEntityManager();

        if ($film->getId() === null) {
            $em->persist($film);
        } else {
            $em->merge($film);
        }

        $em->flush();

    }

}